package com.nbclass.szxgl.model;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.List;

@Table(name = "list_values")
public class ListType {

    @Id
    private String id;

    /**
     * 类型
     */
    @Column(name = "list_type")
    private String listType;

	private List<ListType> listTypes;

	/**
     * 名称
     */
    @Column(name = "list_value")
    private String listValue;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getListType() {
		return listType;
	}

	public void setListType(String listType) {
		this.listType = listType;
	}

	public String getListValue() {
		return listValue;
	}

	public void setListValue(String listValue) {
		this.listValue = listValue;
	}

	public List<ListType> getListTypes() {
		return listTypes;
	}

	public void setListTypes(List<ListType> listTypes) {
		this.listTypes = listTypes;
	}

}
